EDIT - bug #7484

Protected titleCache handling not correct in Reference detail view
06/15/2018 08:41 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.3

Severity: normal Found in Version:

Description

What | did:

* Opened a reference in bulk editor which had a protected titleCache/abbrevCache not protected => only the title was set to

orange

e adding a single letter to the titleCache changes 6 fields to orange (type, title, author, inref, series, volume)

Reference type was "Generic".

Is this related to e4? Or to new NAT table #74397? Or never was correct (somehow related to #3737)

Related issues:

Related to EDIT - feature request #6597: Migrate Details View Closed
Related to EDIT - feature request #7439: Use NatTable for BulkEditor Closed
Related to EDIT - bug #3737: Protected caches for taxa and names behave incon... Closed

Associated revisions

Revision 0656435d - 08/22/2018 01:11 PM - Katja Luther

fix #7484: fix correct colouring of fields for protected titlecache and abbrev titlecache

History

#1 - 06/15/2018 08:42 PM - Andreas Miiller
- Related to feature request #6597: Migrate Details View added

#2 - 06/15/2018 08:42 PM - Andreas Miiller
- Related to feature request #7439: Use NatTable for BulkEditor added

#3 - 06/15/2018 08:49 PM - Andreas Miuller

- Related to bug #3737: Protected caches for taxa and names behave inconsistent added

#4 - 06/15/2018 08:50 PM - Andreas Miiller

- Description updated

#5 - 06/28/2018 12:09 AM - Andreas Miiller

- Target version changed from Release 5.1 to Release 5.2

#6 - 08/17/2018 03:53 PM - Andreas Miiller

- Target version changed from Release 5.2 to Release 5.3

#7 - 08/22/2018 11:17 AM - Andreas Miiller
- Tags deleted (eclipse4)
- Priority changed from New to Highest

#8 - 08/22/2018 01:13 PM - Katja Luther

- Status changed from New to Resolved
https://dev.e-taxonomy.eu/redmine/issues/7439
https://dev.e-taxonomy.eu/redmine/issues/3737

- % Done changed from 0 to 50

Applied in changeset taxeditor|0656435dc061bddf14ebdbdad6b3868f6e0f2eb3.

#9 - 08/22/2018 01:20 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

#10 - 09/05/2018 09:57 AM - Andreas Miiller

- Description updated

#11 - 09/05/2018 10:15 AM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 50 to 100

This specific issue seems to work consistent now.

General review of titteCache behavior is still open for review #3737 so all other issues will be handled there.
